---
schema_version: "1"
id: 3b2d7eaf3001110893cbbe8d99370972fb5ca5653becd23e251f60d90cef4cfe
title: Tableau Next Connect REST API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/analytics/tableau-next-rest-api/references/generated-api-specs/tableau-next-connect-api.md
canonical_url: https://developer.salesforce.com/docs/analytics/tableau-next-rest-api/references/tableau-next-connect-api
source_site: developer.salesforce.com
content_type: documentation
content_hash: 9e6b792d400517440c69bba18b2d2fa0a28fd25301f5edf82dfc99bccf91e3b2
products:
  - Tableau Next REST API
  - analytics
---
Tableau Next Connect REST API

# Tableau Next Connect REST API

Use the Tableau Next REST APIs to manage dashboards, metrics, annotations, worksheets, templates, subscriptions, and related Tableau Next analytics resources.

**Version:** latest

## Servers

*   `https://{MyDomainName}.my.salesforce.com/services/data/v67.0`

## Tags

### Assets

Work with the relationships between Tableau Next assets. Use these operations to clone an asset, compare two assets, list the assets that a given asset depends on, and retrieve an asset's inner reference assets.

An _asset_ is any Tableau Next object—such as a workspace, visualization, dashboard, data source, or semantic model. For managing access to and sharing of assets, see the **Records** category.

### Dashboards

Tableau Next dashboards bring together multiple components — visualizations, metrics, and custom Lightning web components — into a single, interactive view of your data, with shared filters and parameters so that users can explore related insights in one place. A dashboard can also have custom views that capture a user's filter and parameter selections. For more information, see [Create Visualizations and Dashboards in Tableau Next](https://help.salesforce.com/s/articleView?id=analytics.tua_create.htm&type=5).

Dashboard operations enable you to:

*   Get a list of dashboards available to the user.
*   Create a new dashboard.
*   Get, update, or delete a dashboard by ID or name.
*   Get a dashboard bundle by ID or name.
*   Get a list of custom views for a dashboard, or create a custom view.
*   Get the default custom view for a dashboard, or get a custom view by ID.
*   Delete a custom view of a dashboard.
*   Get a dashboard from a template.

### Follow (Followers)

Tableau Next followers operations enable you to:

*   Get the count of unique followers for a specified Tableau Next asset.
*   Unfollow a specified Tableau Next asset for a specified user.
*   Get a list of followers of a followed Tableau Next asset.
*   Add a follower of a specified Tableau Next asset.
*   Update a follower of a specified Tableau Next asset.
*   List the followed Tableau Next assets of a user.

### Marketplace

Share and reuse Tableau Next assets through the marketplace. Use these operations to browse marketplace listings, publish an asset as a listing, unpublish a listing, install a listing into a workspace, and track the progress of an installation.

A _listing_ is a packaged asset made available for others to install. When you install a listing, its _package_ is unpacked into your workspace; use the package-components operation to inspect what a package version contains. You can also create a _marketplace template_ to seed new content from a listing.

### Personal Orgs

Manage a user's Personal Org in Tableau Next. A _Personal Org_ is a private workspace where a user can explore and build with Tableau Next assets before sharing them more broadly.

Use these operations to retrieve a Personal Org and its details, update a Personal Org, delete a Personal Org, and create the mirrored `AnalyticsPersonalOrgInfo` record that tracks a Personal Org's analytics information.

### Records

"Record" is a general term for an instance of data in a Salesforce object. The record types that these operations manage access for include: Tableau Next workspaces, visualizations, and dashboards. For more information see [Manage Access to Assets in Tableau Next](https://help.salesforce.com/s/articleView?id=analytics.tua_share_access.htm)

### Kinds of access

There are three kinds of access permissions that can be granted in Tableau Next:

*   **Owner** - Can create, edit, view, share and delete assets.
    *   You have this access to any assets you create.
*   **Editor** - Can edit and view assets and add assets to a workspace shared with them by the owner.
    *   You get this by having a workspace shared with you with `Editor` access.
*   **Viewer** - Can view assets.
    *   You get this by having a workspace, visualization, or dashboard shared with you with `Viewer` access.

### How access works with referenced assets

Assets can be created in a workspace or can appear in a workspace because they were referred to from another workspace. Referencing an asset does not change its access permissions. Here are examples of how that impacts a user's access:

*   If a user has access to view a workspace that contains a referenced dashboards or visualizations that have not been shared with them, they will not see those assets.
    
*   If that user can view a dashboard in that workspace, but the dashboard contains a visualization that has not been shared with them, the dashboard will not show that visualization for that user.
    

### What these operations enable

*   Get a list of users who have access shared for a specified asset.
*   Update a user's access to an asset.
*   Share access for a set of users to a specified asset.
*   Delete a user's access to an asset.
*   Delete all access sharing for an asset.

Currently, record access sharing is for users, but will be expanded to support larger scopes of users in future releases.

### Subscriptions

Tableau Next subscriptions operations enable you to:

*   Update a user's subscription digest configuration.
*   Get a user's subscription digest configuration.

### Visualizations

Tableau Next workspaces can contain visualizations, also called views, which are graphical representations of data designed to reveal patterns, trends, and insights. The data for a visualization comes from the semantic model of a datasource. For more information, See [Create Visualizations and Dashboards in Tableau Next](https://help.salesforce.com/s/articleView?id=analytics.tua_create.htm&type=5).

Visualization operations enable you to:

*   Update a visualization by ID or name.
*   Get a visualization by ID or name.
*   Delete a visualization by ID or name.
*   Get a visualization and semantic model by ID or name.
*   Create a new visualization.
*   Get a list of visualizations available to the user.

### Workspaces

Tableau Next workspaces operations enable you to:

*   Update a workspace.
*   Get a workspace by ID or name.
*   Delete a workspace by ID or name.
*   Add an asset to a workspace.
*   Get assets in a workspace.
*   Delete an asset from a workspace.
*   Create a workspace.
*   Get a list of workspaces.

## Operations

### POST Clone asset

`POST /tableau/assets/clone`

Operation ID: `cloneAsset`. Tags: Assets.

API resource to clone Tableau Next assets

Clone a Tableau Next asset with specified options.

#### Request body

Media type: `application/json`. Schema: `sfdc.unified.analytics.clone.connect.api.input.AnalyticsAssetCloneInputRepresentation`.

_Example: fullExample_ Full operation example — complete request body

```
{
  "sourceAssetId": "example_sourceAssetId",
  "sourceAssetType": "example_sourceAssetType",
  "includeDependencies": {
    "semanticModel": true,
    "visualization": true
  },
  "targetWorkspaceId": "example_targetWorkspaceId"
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.clone.connect.api.output.AnalyticsAssetCloneResultRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "addedDependencies": [
        {
          "assetId": "example_assetId",
          "assetType": "example_assetType",
          "developerName": "Example developer",
          "label": "Label"
        }
      ],
      "clonedAssetDeveloperName": "Example clonedAssetDeveloper",
      "clonedAssetId": "example_clonedAssetId",
      "clonedAssetLabel": "clonedAsset",
      "clonedAssetType": "example_clonedAssetType",
      "clonedDependencies": [
        {
          "assetId": "example_assetId",
          "assetType": "example_assetType",
          "developerName": "Example developer",
          "label": "Label"
        }
      ],
      "errors": [
        {
          "assetId": "example_assetId",
          "errorCode": "example_errorCode",
          "errorMessage": "example_errorMessage"
        }
      ],
      "status": "example_status",
      "targetWorkspaceDeveloperName": "Example targetWorkspaceDeveloper",
      "targetWorkspaceLabel": "targetWorkspace"
    }
    ```
    

### POST Compare assets

`POST /tableau/assets/compare`

Operation ID: `compareAssets`. Tags: Assets.

Compare two Tableau assets and return structured differences.

Compare source and target assets and return structured block-level differences.

#### Request body

Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.input.assetsCompare.AnalyticsAssetsCompareInputRepresentation`.

_Example: fullExample_ Full operation example — complete request body

```
{
  "assetType": "AnalyticsDashboard",
  "source": {
    "assetIdOrApiName": "Example assetIdOrApi"
  },
  "target": {
    "assetIdOrApiName": "Example assetIdOrApi"
  }
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.assetsCompare.AnalyticsAssetsCompareOutputRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "assetType": "AnalyticsDashboard",
      "source": {
        "assetApiName": "Example assetApi",
        "diff": [
          {
            "changeType": "example_changeType",
            "delta": {
              "key1": {}
            },
            "id": "example_id",
            "nestedDiff": [
              {
                "changeType": "example_changeType",
                "delta": {
                  "key1": {}
                },
                "id": "example_id",
                "nestedDiff": [
                  {
                    "changeType": "example_changeType",
                    "delta": {
                      "key1": {}
                    },
                    "id": "example_id",
                    "nestedDiff": [
                      {
                        "changeType": "example_changeType",
                        "delta": {
                          "key1": {}
                        },
                        "id": "example_id",
                        "nestedDiff": [
                          {
                            "changeType": "example_changeType",
                            "delta": {
                              "key1": {}
                            },
                            "id": "example_id",
                            "nestedDiff": [
                              {
                                "changeType": "example_changeType",
                                "delta": {
                                  "key1": {}
                                },
                                "id": "example_id",
                                "nestedDiff": [
                                  {
                                    "changeType": "example_changeType",
                                    "delta": {
                                      "key1": {}
                                    },
                                    "id": "example_id",
                                    "nestedDiff": [
                                      {
                                        "changeType": "example_changeType",
                                        "delta": {
                                          "key1": {}
                                        },
                                        "id": "example_id",
                                        "nestedDiff": [
                                          {
                                            "changeType": "example_changeType",
                                            "delta": {
                                              "key1": {}
                                            },
                                            "id": "example_id",
                                            "nestedDiff": [],
                                            "type": "example_type"
                                          }
                                        ],
                                        "type": "example_type"
                                      }
                                    ],
                                    "type": "example_type"
                                  }
                                ],
                                "type": "example_type"
                              }
                            ],
                            "type": "example_type"
                          }
                        ],
                        "type": "example_type"
                      }
                    ],
                    "type": "example_type"
                  }
                ],
                "type": "example_type"
              }
            ],
            "type": "example_type"
          }
        ]
      },
      "target": {
        "assetApiName": "Example assetApi",
        "diff": [
          {
            "changeType": "example_changeType",
            "delta": {
              "key1": {}
            },
            "id": "example_id",
            "nestedDiff": [
              {
                "changeType": "example_changeType",
                "delta": {
                  "key1": {}
                },
                "id": "example_id",
                "nestedDiff": [
                  {
                    "changeType": "example_changeType",
                    "delta": {
                      "key1": {}
                    },
                    "id": "example_id",
                    "nestedDiff": [
                      {
                        "changeType": "example_changeType",
                        "delta": {
                          "key1": {}
                        },
                        "id": "example_id",
                        "nestedDiff": [
                          {
                            "changeType": "example_changeType",
                            "delta": {
                              "key1": {}
                            },
                            "id": "example_id",
                            "nestedDiff": [
                              {
                                "changeType": "example_changeType",
                                "delta": {
                                  "key1": {}
                                },
                                "id": "example_id",
                                "nestedDiff": [
                                  {
                                    "changeType": "example_changeType",
                                    "delta": {
                                      "key1": {}
                                    },
                                    "id": "example_id",
                                    "nestedDiff": [
                                      {
                                        "changeType": "example_changeType",
                                        "delta": {
                                          "key1": {}
                                        },
                                        "id": "example_id",
                                        "nestedDiff": [
                                          {
                                            "changeType": "example_changeType",
                                            "delta": {
                                              "key1": {}
                                            },
                                            "id": "example_id",
                                            "nestedDiff": [],
                                            "type": "example_type"
                                          }
                                        ],
                                        "type": "example_type"
                                      }
                                    ],
                                    "type": "example_type"
                                  }
                                ],
                                "type": "example_type"
                              }
                            ],
                            "type": "example_type"
                          }
                        ],
                        "type": "example_type"
                      }
                    ],
                    "type": "example_type"
                  }
                ],
                "type": "example_type"
              }
            ],
            "type": "example_type"
          }
        ]
      }
    }
    ```
    

### POST List asset dependents

`POST /tableau/assets/dependencies`

Operation ID: `getAssetDependents`. Tags: Assets.

API resource to list the dependent assets of Tableau Next assets

Get the dependent assets of the given Tableau Next assets.

#### Request body

Media type: `application/json`. Schema: `sfdc.unified.analytics.dependents.connect.api.input.AssetDependentsQueryInputRepresentation`.

_Example: fullExample_ Full operation example — complete request body

```
{
  "assets": [
    {
      "assetApiName": "Example assetApi",
      "assetType": "example_assetType"
    }
  ]
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.dependents.connect.api.output.AssetDependentCollectionRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "results": [
        {
          "asset": {
            "assetApiName": "Example assetApi",
            "assetId": "example_assetId",
            "assetLabel": "asset",
            "assetType": "AnalyticsDashboard"
          },
          "dependentsByType": [
            {
              "count": 100,
              "dependentAssetType": "AnalyticsDashboard",
              "dependents": [
                {
                  "assetApiName": "Example assetApi",
                  "assetId": "example_assetId",
                  "assetLabel": "asset",
                  "assetType": "AnalyticsDashboard"
                }
              ]
            }
          ],
          "totalCount": 100
        }
      ]
    }
    ```
    

### GET Get asset references

`GET /tableau/assets/{assetId}/references`

Operation ID: `getAssetInnerReference`. Tags: Assets.

Resource to access assets and their inner reference assets

Get type asset presentation of an asset and all its inner reference assets.

#### Parameters

*   `assetId` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.workspace.TypedAssetReferenceCollectionRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "assets": [
        {
          "description": "This is an example description",
          "id": "0FKgS4WC00IUtVy",
          "label": "Label",
          "name": "Example Name",
          "createdBy": {
            "description": "This is an example description",
            "id": "0FKhhqwMp5PbV1g",
            "label": "Label",
            "name": "Example Name",
            "alias": "example_alias",
            "isActive": true,
            "profilePhotoUrl": "https://example.com",
            "username": "Example user"
          },
          "createdDate": "2026-02-16 10:00:00+00:00",
          "lastModifiedBy": {
            "description": "This is an example description",
            "id": "0FKrAPHWnBX0sUc",
            "label": "Label",
            "name": "Example Name",
            "alias": "example_alias",
            "isActive": true,
            "profilePhotoUrl": "https://example.com",
            "username": "Example user"
          },
          "lastModifiedDate": "2026-02-16 10:00:00+00:00",
          "assetDevName": "Example assetDev",
          "assetId": "example_assetId",
          "assetLabel": "asset",
          "assetType": "AnalyticsDashboard"
        }
      ]
    }
    ```
    

### GET List dashboards

`GET /tableau/dashboards`

Operation ID: `getDashboards`. Tags: Dashboards.

Creates a dashboard.

Get all available Tableau Next Dashboards.

#### Parameters

*   `limit` (query, integer)
*   `minorVersion` (query, integer)
*   `offset` (query, integer)

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.dashboard.DashboardCollectionRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "dashboards": [
        {
          "description": "This is an example description",
          "id": "0FKJZLePQW1ptIv",
          "label": "Label",
          "name": "Example Name",
          "createdBy": {
            "description": "This is an example description",
            "id": "0FK2a1Jgc80RTEo",
            "label": "Label",
            "name": "Example Name",
            "alias": "example_alias",
            "isActive": true,
            "profilePhotoUrl": "https://example.com",
            "username": "Example user"
          },
          "createdDate": "2026-02-16 10:00:00+00:00",
          "lastModifiedBy": {
            "description": "This is an example description",
            "id": "0FKGlTiHM8P9Iu9",
            "label": "Label",
            "name": "Example Name",
            "alias": "example_alias",
            "isActive": true,
            "profilePhotoUrl": "https://example.com",
            "username": "Example user"
          },
          "lastModifiedDate": "2026-02-16 10:00:00+00:00",
          "backgroundSource": {
            "description": "This is an example description",
            "id": "0FKXzdgs9u9lApm",
            "label": "Label",
            "name": "Example Name",
            "type": "Image",
            "url": "https://example.com"
          },
          "customConfig": {
            "queryCacheEnabled": true,
            "queryCacheStaleness": "example_queryCacheStaleness"
          },
          "customViews": [
            {
              "defaultPage": "example_defaultPage",
              "id": "example_id",
              "isDefault": true,
              "label": "Label",
              "owner": {
                "id": "example_id",
                "name": "Example Name"
              },
              "type": "Private",
              "viewSpec": {
                "filters": [
                  {
                    "details": {
                      "fieldName": "Example field",
                      "operator": "Between"
                    },
                    "source": {
                      "id": "example_id",
                      "label": "Label",
                      "name": "Example Name"
                    },
                    "status": "DataAccessError"
                  }
                ],
                "parameters": [
                  {
                    "details": {
                      "name": "Example Name",
                      "value": "example_value"
                    },
                    "source": {
                      "id": "example_id",
                      "label": "Label",
                      "name": "Example Name"
                    },
                    "status": "DataAccessError"
                  }
                ],
                "selections": [
                  {
                    "details": {
                      "axes": [],
                      "dataSource": "example_dataSource",
                      "headers": [
                        {
                          "fieldId": {
                            "disambiguationIndex": 100,
                            "displayCategory": "example_displayCategory",
                            "fieldName": "Example field",
                            "function": "example_function",
                            "objectName": "Example object",
                            "role": "example_role",
                            "type": "example_type"
                          },
                          "partitionFieldIds": [
                            {
                              "disambiguationIndex": 100,
                              "displayCategory": "example_displayCategory",
                              "fieldName": "Example field",
                              "function": "example_function",
                              "objectName": "Example object",
                              "role": "example_role",
                              "type": "example_type"
                            }
                          ],
                          "partitionValues": []
                        }
                      ],
                      "marks": [
                        {
                          "fieldIds": [
                            {
                              "disambiguationIndex": 100,
                              "displayCategory": "example_displayCategory",
                              "fieldName": "Example field",
                              "function": "example_function",
                              "objectName": "Example object",
                              "role": "example_role",
                              "type": "example_type"
                            }
                          ],
                          "values": []
                        }
                      ],
                      "nodes": []
                    },
                    "source": {
                      "id": "example_id",
                      "label": "Label",
                      "name": "Example Name"
                    },
                    "status": "DataAccessError"
                  }
                ]
              }
            }
          ],
          "defaultView": {
            "defaultPage": "example_defaultPage",
            "id": "example_id",
            "isDefault": true,
            "label": "Label",
            "owner": {
              "id": "example_id",
              "name": "Example Name"
            },
            "type": "Private",
            "viewSpec": {
              "filters": [
                {
                  "details": {
                    "fieldName": "Example field",
                    "operator": "Between"
                  },
                  "source": {
                    "id": "example_id",
                    "label": "Label",
                    "name": "Example Name"
                  },
                  "status": "DataAccessError"
                }
              ],
              "parameters": [
                {
                  "details": {
                    "name": "Example Name",
                    "value": "example_value"
                  },
                  "source": {
                    "id": "example_id",
                    "label": "Label",
                    "name": "Example Name"
                  },
                  "status": "DataAccessError"
                }
              ],
              "selections": [
                {
                  "details": {
                    "axes": [],
                    "dataSource": "example_dataSource",
                    "headers": [
                      {
                        "fieldId": {
                          "disambiguationIndex": 100,
                          "displayCategory": "example_displayCategory",
                          "fieldName": "Example field",
                          "function": "example_function",
                          "objectName": "Example object",
                          "role": "example_role",
                          "type": "example_type"
                        },
                        "partitionFieldIds": [
                          {
                            "disambiguationIndex": 100,
                            "displayCategory": "example_displayCategory",
                            "fieldName": "Example field",
                            "function": "example_function",
                            "objectName": "Example object",
                            "role": "example_role",
                            "type": "example_type"
                          }
                        ],
                        "partitionValues": []
                      }
                    ],
                    "marks": [
                      {
                        "fieldIds": [
                          {
                            "disambiguationIndex": 100,
                            "displayCategory": "example_displayCategory",
                            "fieldName": "Example field",
                            "function": "example_function",
                            "objectName": "Example object",
                            "role": "example_role",
                            "type": "example_type"
                          }
                        ],
                        "values": []
                      }
                    ],
                    "nodes": []
                  },
                  "source": {
                    "id": "example_id",
                    "label": "Label",
                    "name": "Example Name"
                  },
                  "status": "DataAccessError"
                }
              ]
            }
          },
          "layouts": [
            {
              "description": "This is an example description",
              "id": "0FK1HYkw9DxtGmm",
              "label": "Label",
              "name": "Example Name",
              "columnCount": 100,
              "maxWidth": 100,
              "pages": [
                {
                  "description": "This is an example description",
                  "id": "0FKzaeCIx5I0GeE",
                  "label": "Label",
                  "name": "Example Name",
                  "navigationHidden": false,
                  "widgets": [
                    {
                      "description": "This is an example description",
                      "id": "0FKKQ3SNBhHloSH",
                      "label": "Label",
                      "name": "Example Name",
                      "colspan": 100,
                      "column": 100,
                      "row": 100,
                      "rowspan": 100
                    }
                  ]
                }
              ],
              "rowHeight": 100,
              "style": {
                "backgroundColor": "example_backgroundColor",
                "cellSpacingX": 100,
                "cellSpacingY": 100,
                "gutterColor": "example_gutterColor"
              }
            }
          ],
          "permissions": {
            "delete": true,
            "edit": true,
            "share": true,
            "view": true
          },
          "sourceVersion": {
            "major": 100,
            "minor": 100
          },
          "style": {
            "background": {
              "alignmentX": "example_alignmentX",
              "alignmentY": "example_alignmentY",
              "imageScale": "Fill",
              "opacity": 100
            },
            "widgetStyle": {
              "backgroundColor": "example_backgroundColor",
              "borderColor": "example_borderColor",
              "borderEdges": [
                "example_borderEdges"
              ],
              "borderRadius": 100,
              "borderWidth": 100
            }
          },
          "templateSource": {
            "assetName": "Example asset",
            "name": "Example Name"
          },
          "url": "https://example.com",
          "widgets": {
            "widget1": {
              "description": "This is an example description",
              "id": "0FKx6wiMwhBrKrb",
              "label": "Label",
              "name": "Example Name",
              "actions": [
                {
                  "description": "This is an example description",
                  "id": "0FK1K9Gl6gCLBKo",
                  "label": "Label",
                  "name": "Example Name",
                  "actionType": "Filter",
                  "assetId": "example_assetId",
                  "eventType": "Click",
                  "parameters": {}
                }
              ],
              "dynamicTokens": {
                "key1": {
                  "description": "This is an example description",
                  "id": "0FK4aCQQu5nRFXN",
                  "label": "Label",
                  "name": "Example Name",
                  "source": {
                    "description": "This is an example description",
                    "id": "0FKiJn9Fq2XhcBi",
                    "label": "Label",
                    "name": "Example Name",
                    "type": "Image",
                    "url": "https://example.com"
                  },
                  "status": "DataAccessError",
                  "type": "Insights"
                }
              },
              "status": "DataAccessError",
              "type": "Button"
            }
          },
          "workspaceIdOrApiName": "Example workspaceIdOrApi"
        }
      ]
    }
    ```
    

### POST Create dashboard

`POST /tableau/dashboards`

Operation ID: `postDashboardCollection`. Tags: Dashboards.

Creates a dashboard.

Creates a Tableau Next dashboard.

#### Parameters

*   `minorVersion` (query, integer)

#### Request body

Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.input.dashboard.DashboardInputRepresentation`.

_Example: fullExample_ Full operation example — complete request body

```
{
  "description": "This is an example description",
  "label": "Label",
  "name": "Example Name",
  "backgroundSource": {
    "id": "example_id",
    "name": "Example Name"
  },
  "customConfig": {
    "queryCacheEnabled": true,
    "queryCacheStaleness": "example_queryCacheStaleness"
  },
  "lastModifiedDate": "2026-02-16 10:00:00+00:00",
  "layouts": [
    {
      "description": "This is an example description",
      "label": "Label",
      "name": "Example Name",
      "columnCount": 100,
      "maxWidth": 100,
      "pages": [
        {
          "description": "This is an example description",
          "label": "Label",
          "name": "Example Name",
          "navigationHidden": false,
          "widgets": [
            {
              "description": "This is an example description",
              "label": "Label",
              "name": "Example Name",
              "colspan": 100,
              "column": 100,
              "row": 100,
              "rowspan": 100
            }
          ]
        }
      ],
      "rowHeight": 100,
      "style": {
        "backgroundColor": "example_backgroundColor",
        "cellSpacingX": 100,
        "cellSpacingY": 100,
        "gutterColor": "example_gutterColor"
      }
    }
  ],
  "style": {
    "background": {
      "alignmentX": "example_alignmentX",
      "alignmentY": "example_alignmentY",
      "imageScale": "Fill",
      "opacity": 100
    },
    "widgetStyle": {
      "backgroundColor": "example_backgroundColor",
      "borderColor": "example_borderColor",
      "borderEdges": [
        "example_borderEdges"
      ],
      "borderRadius": 100,
      "borderWidth": 100
    }
  },
  "templateSource": {
    "assetName": "Example asset",
    "name": "Example Name"
  },
  "widgets": {
    "widget1": {
      "description": "This is an example description",
      "label": "Label",
      "name": "Example Name",
      "actions": [
        {
          "description": "This is an example description",
          "label": "Label",
          "name": "Example Name",
          "actionType": "Filter",
          "eventType": "Click",
          "parameters": {}
        }
      ],
      "dynamicTokens": {
        "key1": {
          "description": "This is an example description",
          "label": "Label",
          "name": "Example Name",
          "source": {
            "id": "example_id",
            "name": "Example Name"
          },
          "tokenSpec": {
            "key1": {}
          },
          "type": "Insights"
        }
      },
      "type": "Button"
    }
  },
  "workspaceIdOrApiName": "Example workspaceIdOrApi"
}
```

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.dashboard.DashboardRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "description": "This is an example description",
      "id": "0FKrHnn4hvIvTcd",
      "label": "Label",
      "name": "Example Name",
      "createdBy": {
        "description": "This is an example description",
        "id": "0FKVM7FdOHH7B4X",
        "label": "Label",
        "name": "Example Name",
        "alias": "example_alias",
        "isActive": true,
        "profilePhotoUrl": "https://example.com",
        "username": "Example user"
      },
      "createdDate": "2026-02-16 10:00:00+00:00",
      "lastModifiedBy": {
        "description": "This is an example description",
        "id": "0FK5TXAlplhe0Y1",
        "label": "Label",
        "name": "Example Name",
        "alias": "example_alias",
        "isActive": true,
        "profilePhotoUrl": "https://example.com",
        "username": "Example user"
      },
      "lastModifiedDate": "2026-02-16 10:00:00+00:00",
      "backgroundSource": {
        "description": "This is an example description",
        "id": "0FK1IZPidiIxriL",
        "label": "Label",
        "name": "Example Name",
        "type": "Image",
        "url": "https://example.com"
      },
      "customConfig": {
        "queryCacheEnabled": true,
        "queryCacheStaleness": "example_queryCacheStaleness"
      },
      "customViews": [
        {
          "defaultPage": "example_defaultPage",
          "id": "example_id",
          "isDefault": true,
          "label": "Label",
          "owner": {
            "id": "example_id",
            "name": "Example Name"
          },
          "type": "Private",
          "viewSpec": {
            "filters": [
              {
                "details": {
                  "fieldName": "Example field",
                  "operator": "Between"
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ],
            "parameters": [
              {
                "details": {
                  "name": "Example Name",
                  "value": "example_value"
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ],
            "selections": [
              {
                "details": {
                  "axes": [],
                  "dataSource": "example_dataSource",
                  "headers": [
                    {
                      "fieldId": {
                        "disambiguationIndex": 100,
                        "displayCategory": "example_displayCategory",
                        "fieldName": "Example field",
                        "function": "example_function",
                        "objectName": "Example object",
                        "role": "example_role",
                        "type": "example_type"
                      },
                      "partitionFieldIds": [
                        {
                          "disambiguationIndex": 100,
                          "displayCategory": "example_displayCategory",
                          "fieldName": "Example field",
                          "function": "example_function",
                          "objectName": "Example object",
                          "role": "example_role",
                          "type": "example_type"
                        }
                      ],
                      "partitionValues": []
                    }
                  ],
                  "marks": [
                    {
                      "fieldIds": [
                        {
                          "disambiguationIndex": 100,
                          "displayCategory": "example_displayCategory",
                          "fieldName": "Example field",
                          "function": "example_function",
                          "objectName": "Example object",
                          "role": "example_role",
                          "type": "example_type"
                        }
                      ],
                      "values": []
                    }
                  ],
                  "nodes": []
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ]
          }
        }
      ],
      "defaultView": {
        "defaultPage": "example_defaultPage",
        "id": "example_id",
        "isDefault": true,
        "label": "Label",
        "owner": {
          "id": "example_id",
          "name": "Example Name"
        },
        "type": "Private",
        "viewSpec": {
          "filters": [
            {
              "details": {
                "fieldName": "Example field",
                "operator": "Between"
              },
              "source": {
                "id": "example_id",
                "label": "Label",
                "name": "Example Name"
              },
              "status": "DataAccessError"
            }
          ],
          "parameters": [
            {
              "details": {
                "name": "Example Name",
                "value": "example_value"
              },
              "source": {
                "id": "example_id",
                "label": "Label",
                "name": "Example Name"
              },
              "status": "DataAccessError"
            }
          ],
          "selections": [
            {
              "details": {
                "axes": [],
                "dataSource": "example_dataSource",
                "headers": [
                  {
                    "fieldId": {
                      "disambiguationIndex": 100,
                      "displayCategory": "example_displayCategory",
                      "fieldName": "Example field",
                      "function": "example_function",
                      "objectName": "Example object",
                      "role": "example_role",
                      "type": "example_type"
                    },
                    "partitionFieldIds": [
                      {
                        "disambiguationIndex": 100,
                        "displayCategory": "example_displayCategory",
                        "fieldName": "Example field",
                        "function": "example_function",
                        "objectName": "Example object",
                        "role": "example_role",
                        "type": "example_type"
                      }
                    ],
                    "partitionValues": []
                  }
                ],
                "marks": [
                  {
                    "fieldIds": [
                      {
                        "disambiguationIndex": 100,
                        "displayCategory": "example_displayCategory",
                        "fieldName": "Example field",
                        "function": "example_function",
                        "objectName": "Example object",
                        "role": "example_role",
                        "type": "example_type"
                      }
                    ],
                    "values": []
                  }
                ],
                "nodes": []
              },
              "source": {
                "id": "example_id",
                "label": "Label",
                "name": "Example Name"
              },
              "status": "DataAccessError"
            }
          ]
        }
      },
      "layouts": [
        {
          "description": "This is an example description",
          "id": "0FKZSNG2xyLfOHp",
          "label": "Label",
          "name": "Example Name",
          "columnCount": 100,
          "maxWidth": 100,
          "pages": [
            {
              "description": "This is an example description",
              "id": "0FKJaIm0Cec8499",
              "label": "Label",
              "name": "Example Name",
              "navigationHidden": false,
              "widgets": [
                {
                  "description": "This is an example description",
                  "id": "0FKwe9Nvp3rMYq2",
                  "label": "Label",
                  "name": "Example Name",
                  "colspan": 100,
                  "column": 100,
                  "row": 100,
                  "rowspan": 100
                }
              ]
            }
          ],
          "rowHeight": 100,
          "style": {
            "backgroundColor": "example_backgroundColor",
            "cellSpacingX": 100,
            "cellSpacingY": 100,
            "gutterColor": "example_gutterColor"
          }
        }
      ],
      "permissions": {
        "delete": true,
        "edit": true,
        "share": true,
        "view": true
      },
      "sourceVersion": {
        "major": 100,
        "minor": 100
      },
      "style": {
        "background": {
          "alignmentX": "example_alignmentX",
          "alignmentY": "example_alignmentY",
          "imageScale": "Fill",
          "opacity": 100
        },
        "widgetStyle": {
          "backgroundColor": "example_backgroundColor",
          "borderColor": "example_borderColor",
          "borderEdges": [
            "example_borderEdges"
          ],
          "borderRadius": 100,
          "borderWidth": 100
        }
      },
      "templateSource": {
        "assetName": "Example asset",
        "name": "Example Name"
      },
      "url": "https://example.com",
      "widgets": {
        "widget1": {
          "description": "This is an example description",
          "id": "0FK5ykz70ykR6LC",
          "label": "Label",
          "name": "Example Name",
          "actions": [
            {
              "description": "This is an example description",
              "id": "0FKJUBsFeDx8F6J",
              "label": "Label",
              "name": "Example Name",
              "actionType": "Filter",
              "assetId": "example_assetId",
              "eventType": "Click",
              "parameters": {}
            }
          ],
          "dynamicTokens": {
            "key1": {
              "description": "This is an example description",
              "id": "0FKyeHBJlYl75oh",
              "label": "Label",
              "name": "Example Name",
              "source": {
                "description": "This is an example description",
                "id": "0FK0DsncIC4AiC0",
                "label": "Label",
                "name": "Example Name",
                "type": "Image",
                "url": "https://example.com"
              },
              "status": "DataAccessError",
              "type": "Insights"
            }
          },
          "status": "DataAccessError",
          "type": "Button"
        }
      },
      "workspaceIdOrApiName": "Example workspaceIdOrApi"
    }
    ```
    

### GET Get dashboard

`GET /tableau/dashboards/{dashboardIdOrApiName}`

Operation ID: `getDashboard`. Tags: Dashboards.

Resource to access Tableau Next Dashboard by ID or name.

Get Tableau Next Dashboard by ID or Name.

#### Parameters

*   `dashboardIdOrApiName` (path, string, required)
*   `minorVersion` (query, integer)

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.dashboard.DashboardRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "description": "This is an example description",
      "id": "0FKoZQUSrNSgFVA",
      "label": "Label",
      "name": "Example Name",
      "createdBy": {
        "description": "This is an example description",
        "id": "0FKig6z8xYJozzY",
        "label": "Label",
        "name": "Example Name",
        "alias": "example_alias",
        "isActive": true,
        "profilePhotoUrl": "https://example.com",
        "username": "Example user"
      },
      "createdDate": "2026-02-16 10:00:00+00:00",
      "lastModifiedBy": {
        "description": "This is an example description",
        "id": "0FKOWL5Zzs9lLJl",
        "label": "Label",
        "name": "Example Name",
        "alias": "example_alias",
        "isActive": true,
        "profilePhotoUrl": "https://example.com",
        "username": "Example user"
      },
      "lastModifiedDate": "2026-02-16 10:00:00+00:00",
      "backgroundSource": {
        "description": "This is an example description",
        "id": "0FKMlE6He3txwzm",
        "label": "Label",
        "name": "Example Name",
        "type": "Image",
        "url": "https://example.com"
      },
      "customConfig": {
        "queryCacheEnabled": true,
        "queryCacheStaleness": "example_queryCacheStaleness"
      },
      "customViews": [
        {
          "defaultPage": "example_defaultPage",
          "id": "example_id",
          "isDefault": true,
          "label": "Label",
          "owner": {
            "id": "example_id",
            "name": "Example Name"
          },
          "type": "Private",
          "viewSpec": {
            "filters": [
              {
                "details": {
                  "fieldName": "Example field",
                  "operator": "Between"
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ],
            "parameters": [
              {
                "details": {
                  "name": "Example Name",
                  "value": "example_value"
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ],
            "selections": [
              {
                "details": {
                  "axes": [],
                  "dataSource": "example_dataSource",
                  "headers": [
                    {
                      "fieldId": {
                        "disambiguationIndex": 100,
                        "displayCategory": "example_displayCategory",
                        "fieldName": "Example field",
                        "function": "example_function",
                        "objectName": "Example object",
                        "role": "example_role",
                        "type": "example_type"
                      },
                      "partitionFieldIds": [
                        {
                          "disambiguationIndex": 100,
                          "displayCategory": "example_displayCategory",
                          "fieldName": "Example field",
                          "function": "example_function",
                          "objectName": "Example object",
                          "role": "example_role",
                          "type": "example_type"
                        }
                      ],
                      "partitionValues": []
                    }
                  ],
                  "marks": [
                    {
                      "fieldIds": [
                        {
                          "disambiguationIndex": 100,
                          "displayCategory": "example_displayCategory",
                          "fieldName": "Example field",
                          "function": "example_function",
                          "objectName": "Example object",
                          "role": "example_role",
                          "type": "example_type"
                        }
                      ],
                      "values": []
                    }
                  ],
                  "nodes": []
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ]
          }
        }
      ],
      "defaultView": {
        "defaultPage": "example_defaultPage",
        "id": "example_id",
        "isDefault": true,
        "label": "Label",
        "owner": {
          "id": "example_id",
          "name": "Example Name"
        },
        "type": "Private",
        "viewSpec": {
          "filters": [
            {
              "details": {
                "fieldName": "Example field",
                "operator": "Between"
              },
              "source": {
                "id": "example_id",
                "label": "Label",
                "name": "Example Name"
              },
              "status": "DataAccessError"
            }
          ],
          "parameters": [
            {
              "details": {
                "name": "Example Name",
                "value": "example_value"
              },
              "source": {
                "id": "example_id",
                "label": "Label",
                "name": "Example Name"
              },
              "status": "DataAccessError"
            }
          ],
          "selections": [
            {
              "details": {
                "axes": [],
                "dataSource": "example_dataSource",
                "headers": [
                  {
                    "fieldId": {
                      "disambiguationIndex": 100,
                      "displayCategory": "example_displayCategory",
                      "fieldName": "Example field",
                      "function": "example_function",
                      "objectName": "Example object",
                      "role": "example_role",
                      "type": "example_type"
                    },
                    "partitionFieldIds": [
                      {
                        "disambiguationIndex": 100,
                        "displayCategory": "example_displayCategory",
                        "fieldName": "Example field",
                        "function": "example_function",
                        "objectName": "Example object",
                        "role": "example_role",
                        "type": "example_type"
                      }
                    ],
                    "partitionValues": []
                  }
                ],
                "marks": [
                  {
                    "fieldIds": [
                      {
                        "disambiguationIndex": 100,
                        "displayCategory": "example_displayCategory",
                        "fieldName": "Example field",
                        "function": "example_function",
                        "objectName": "Example object",
                        "role": "example_role",
                        "type": "example_type"
                      }
                    ],
                    "values": []
                  }
                ],
                "nodes": []
              },
              "source": {
                "id": "example_id",
                "label": "Label",
                "name": "Example Name"
              },
              "status": "DataAccessError"
            }
          ]
        }
      },
      "layouts": [
        {
          "description": "This is an example description",
          "id": "0FKtG4Gcl7FNgnY",
          "label": "Label",
          "name": "Example Name",
          "columnCount": 100,
          "maxWidth": 100,
          "pages": [
            {
              "description": "This is an example description",
              "id": "0FKNILh3LrRjySh",
              "label": "Label",
              "name": "Example Name",
              "navigationHidden": false,
              "widgets": [
                {
                  "description": "This is an example description",
                  "id": "0FKOv2vdGrpwzua",
                  "label": "Label",
                  "name": "Example Name",
                  "colspan": 100,
                  "column": 100,
                  "row": 100,
                  "rowspan": 100
                }
              ]
            }
          ],
          "rowHeight": 100,
          "style": {
            "backgroundColor": "example_backgroundColor",
            "cellSpacingX": 100,
            "cellSpacingY": 100,
            "gutterColor": "example_gutterColor"
          }
        }
      ],
      "permissions": {
        "delete": true,
        "edit": true,
        "share": true,
        "view": true
      },
      "sourceVersion": {
        "major": 100,
        "minor": 100
      },
      "style": {
        "background": {
          "alignmentX": "example_alignmentX",
          "alignmentY": "example_alignmentY",
          "imageScale": "Fill",
          "opacity": 100
        },
        "widgetStyle": {
          "backgroundColor": "example_backgroundColor",
          "borderColor": "example_borderColor",
          "borderEdges": [
            "example_borderEdges"
          ],
          "borderRadius": 100,
          "borderWidth": 100
        }
      },
      "templateSource": {
        "assetName": "Example asset",
        "name": "Example Name"
      },
      "url": "https://example.com",
      "widgets": {
        "widget1": {
          "description": "This is an example description",
          "id": "0FK2UHzmESxPWSI",
          "label": "Label",
          "name": "Example Name",
          "actions": [
            {
              "description": "This is an example description",
              "id": "0FK3gijgfXpRQt2",
              "label": "Label",
              "name": "Example Name",
              "actionType": "Filter",
              "assetId": "example_assetId",
              "eventType": "Click",
              "parameters": {}
            }
          ],
          "dynamicTokens": {
            "key1": {
              "description": "This is an example description",
              "id": "0FKjKPE6AxGwXyl",
              "label": "Label",
              "name": "Example Name",
              "source": {
                "description": "This is an example description",
                "id": "0FKsWdqvY7C6huh",
                "label": "Label",
                "name": "Example Name",
                "type": "Image",
                "url": "https://example.com"
              },
              "status": "DataAccessError",
              "type": "Insights"
            }
          },
          "status": "DataAccessError",
          "type": "Button"
        }
      },
      "workspaceIdOrApiName": "Example workspaceIdOrApi"
    }
    ```
    

### DELETE Delete dashboard

`DELETE /tableau/dashboards/{dashboardIdOrApiName}`

Operation ID: `deleteDashboard`. Tags: Dashboards.

Resource to access Tableau Next Dashboard by ID or name.

Delete Tableau Next Dashboard by ID or Name.

#### Parameters

*   `dashboardIdOrApiName` (path, string, required)

#### Responses

*   **200** Success.

### PATCH Update dashboard

`PATCH /tableau/dashboards/{dashboardIdOrApiName}`

Operation ID: `patchDashboard`. Tags: Dashboards.

Resource to access Tableau Next Dashboard by ID or name.

Update Tableau Next Dashboard Metadata by ID or Name.

#### Parameters

*   `dashboardIdOrApiName` (path, string, required)
*   `minorVersion` (query, integer)

#### Request body

Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.input.dashboard.DashboardInputRepresentation`.

_Example fullExample: same as POST /tableau/dashboards request._ Full operation example — complete request body

_Example: fullExample_ Full operation example — complete request body

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.dashboard.DashboardRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "description": "This is an example description",
      "id": "0FKygw3sUuwjxdX",
      "label": "Label",
      "name": "Example Name",
      "createdBy": {
        "description": "This is an example description",
        "id": "0FK6HtEkihPGxxh",
        "label": "Label",
        "name": "Example Name",
        "alias": "example_alias",
        "isActive": true,
        "profilePhotoUrl": "https://example.com",
        "username": "Example user"
      },
      "createdDate": "2026-02-16 10:00:00+00:00",
      "lastModifiedBy": {
        "description": "This is an example description",
        "id": "0FK2n8j2MIqGsTl",
        "label": "Label",
        "name": "Example Name",
        "alias": "example_alias",
        "isActive": true,
        "profilePhotoUrl": "https://example.com",
        "username": "Example user"
      },
      "lastModifiedDate": "2026-02-16 10:00:00+00:00",
      "backgroundSource": {
        "description": "This is an example description",
        "id": "0FKQaa99acoTyXJ",
        "label": "Label",
        "name": "Example Name",
        "type": "Image",
        "url": "https://example.com"
      },
      "customConfig": {
        "queryCacheEnabled": true,
        "queryCacheStaleness": "example_queryCacheStaleness"
      },
      "customViews": [
        {
          "defaultPage": "example_defaultPage",
          "id": "example_id",
          "isDefault": true,
          "label": "Label",
          "owner": {
            "id": "example_id",
            "name": "Example Name"
          },
          "type": "Private",
          "viewSpec": {
            "filters": [
              {
                "details": {
                  "fieldName": "Example field",
                  "operator": "Between"
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ],
            "parameters": [
              {
                "details": {
                  "name": "Example Name",
                  "value": "example_value"
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ],
            "selections": [
              {
                "details": {
                  "axes": [],
                  "dataSource": "example_dataSource",
                  "headers": [
                    {
                      "fieldId": {
                        "disambiguationIndex": 100,
                        "displayCategory": "example_displayCategory",
                        "fieldName": "Example field",
                        "function": "example_function",
                        "objectName": "Example object",
                        "role": "example_role",
                        "type": "example_type"
                      },
                      "partitionFieldIds": [
                        {
                          "disambiguationIndex": 100,
                          "displayCategory": "example_displayCategory",
                          "fieldName": "Example field",
                          "function": "example_function",
                          "objectName": "Example object",
                          "role": "example_role",
                          "type": "example_type"
                        }
                      ],
                      "partitionValues": []
                    }
                  ],
                  "marks": [
                    {
                      "fieldIds": [
                        {
                          "disambiguationIndex": 100,
                          "displayCategory": "example_displayCategory",
                          "fieldName": "Example field",
                          "function": "example_function",
                          "objectName": "Example object",
                          "role": "example_role",
                          "type": "example_type"
                        }
                      ],
                      "values": []
                    }
                  ],
                  "nodes": []
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ]
          }
        }
      ],
      "defaultView": {
        "defaultPage": "example_defaultPage",
        "id": "example_id",
        "isDefault": true,
        "label": "Label",
        "owner": {
          "id": "example_id",
          "name": "Example Name"
        },
        "type": "Private",
        "viewSpec": {
          "filters": [
            {
              "details": {
                "fieldName": "Example field",
                "operator": "Between"
              },
              "source": {
                "id": "example_id",
                "label": "Label",
                "name": "Example Name"
              },
              "status": "DataAccessError"
            }
          ],
          "parameters": [
            {
              "details": {
                "name": "Example Name",
                "value": "example_value"
              },
              "source": {
                "id": "example_id",
                "label": "Label",
                "name": "Example Name"
              },
              "status": "DataAccessError"
            }
          ],
          "selections": [
            {
              "details": {
                "axes": [],
                "dataSource": "example_dataSource",
                "headers": [
                  {
                    "fieldId": {
                      "disambiguationIndex": 100,
                      "displayCategory": "example_displayCategory",
                      "fieldName": "Example field",
                      "function": "example_function",
                      "objectName": "Example object",
                      "role": "example_role",
                      "type": "example_type"
                    },
                    "partitionFieldIds": [
                      {
                        "disambiguationIndex": 100,
                        "displayCategory": "example_displayCategory",
                        "fieldName": "Example field",
                        "function": "example_function",
                        "objectName": "Example object",
                        "role": "example_role",
                        "type": "example_type"
                      }
                    ],
                    "partitionValues": []
                  }
                ],
                "marks": [
                  {
                    "fieldIds": [
                      {
                        "disambiguationIndex": 100,
                        "displayCategory": "example_displayCategory",
                        "fieldName": "Example field",
                        "function": "example_function",
                        "objectName": "Example object",
                        "role": "example_role",
                        "type": "example_type"
                      }
                    ],
                    "values": []
                  }
                ],
                "nodes": []
              },
              "source": {
                "id": "example_id",
                "label": "Label",
                "name": "Example Name"
              },
              "status": "DataAccessError"
            }
          ]
        }
      },
      "layouts": [
        {
          "description": "This is an example description",
          "id": "0FK8mLUoRH7QMqK",
          "label": "Label",
          "name": "Example Name",
          "columnCount": 100,
          "maxWidth": 100,
          "pages": [
            {
              "description": "This is an example description",
              "id": "0FK0QRrO0quxOKj",
              "label": "Label",
              "name": "Example Name",
              "navigationHidden": false,
              "widgets": [
                {
                  "description": "This is an example description",
                  "id": "0FKaRU9G7mAxChV",
                  "label": "Label",
                  "name": "Example Name",
                  "colspan": 100,
                  "column": 100,
                  "row": 100,
                  "rowspan": 100
                }
              ]
            }
          ],
          "rowHeight": 100,
          "style": {
            "backgroundColor": "example_backgroundColor",
            "cellSpacingX": 100,
            "cellSpacingY": 100,
            "gutterColor": "example_gutterColor"
          }
        }
      ],
      "permissions": {
        "delete": true,
        "edit": true,
        "share": true,
        "view": true
      },
      "sourceVersion": {
        "major": 100,
        "minor": 100
      },
      "style": {
        "background": {
          "alignmentX": "example_alignmentX",
          "alignmentY": "example_alignmentY",
          "imageScale": "Fill",
          "opacity": 100
        },
        "widgetStyle": {
          "backgroundColor": "example_backgroundColor",
          "borderColor": "example_borderColor",
          "borderEdges": [
            "example_borderEdges"
          ],
          "borderRadius": 100,
          "borderWidth": 100
        }
      },
      "templateSource": {
        "assetName": "Example asset",
        "name": "Example Name"
      },
      "url": "https://example.com",
      "widgets": {
        "widget1": {
          "description": "This is an example description",
          "id": "0FKkAl5jLH7RFGg",
          "label": "Label",
          "name": "Example Name",
          "actions": [
            {
              "description": "This is an example description",
              "id": "0FKH2sP6ZKVBBk2",
              "label": "Label",
              "name": "Example Name",
              "actionType": "Filter",
              "assetId": "example_assetId",
              "eventType": "Click",
              "parameters": {}
            }
          ],
          "dynamicTokens": {
            "key1": {
              "description": "This is an example description",
              "id": "0FKIeYTQszD38fQ",
              "label": "Label",
              "name": "Example Name",
              "source": {
                "description": "This is an example description",
                "id": "0FKLj1Myr3PyvNT",
                "label": "Label",
                "name": "Example Name",
                "type": "Image",
                "url": "https://example.com"
              },
              "status": "DataAccessError",
              "type": "Insights"
            }
          },
          "status": "DataAccessError",
          "type": "Button"
        }
      },
      "workspaceIdOrApiName": "Example workspaceIdOrApi"
    }
    ```
    

### GET Get dashboard bundle

`GET /tableau/dashboards/{dashboardIdOrApiName}/bundle`

Operation ID: `getDashboardBundle`. Tags: Dashboards.

Endpoint for dashboard custom bundle response.

Gets the bundle response for the specified Tableau Next dashboard.

_Updated April 2026: added `customViewId`, `forceReload`, `height`, `minorVersion`._

#### Parameters

*   `dashboardIdOrApiName` (path, string, required) The ID or name of the dashboard.
*   `addSdm` (query, boolean) Specifies whether to include referenced SDMs in the bundle response (`true`) or exclude them (`false`).
*   `addVisualization` (query, boolean) Specifies whether to include referenced visualizations in the bundle response (`true`) or exclude them (`false`).
*   `customViewId` (query, string) The custom view ID (if passed) to load as part of bundle.
*   `debug` (query, boolean) Specifies whether to return extra API execution details in the response (`true`) or not (`false`).
*   `forceReload` (query, boolean) Specifies whether to force a reload of the bundle instead of using cached data (`true`) or use cached data if available (`false`).
*   `height` (query, integer) The dashboard height on the viewport in pixels. If passed, bundle only includes assets that display in the height.
*   `minorVersion` (query, integer) The minor supported for the API.
*   `pageName` (query, string) The specific page name (GUID) of the dashboard.

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.DashboardBundleRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "bundledAssets": {
        "key1": {
          "assetAppTemplate": "example_assetAppTemplate",
          "status": "example_status",
          "type": "Dashboard"
        }
      },
      "cached": true,
      "executionDelay": {
        "key1": 100.5
      },
      "executionTime": {
        "key1": 100.5
      }
    }
    ```
    

### GET List dashboard custom views

`GET /tableau/dashboards/{dashboardIdOrApiName}/customviews`

Operation ID: `getViews`. Tags: Dashboards.

Endpoint for dashboard custom view collection which user has access to.

Gets the collection of saved views of a dashboard.

#### Parameters

*   `dashboardIdOrApiName` (path, string, required) The ID or name of the dashboard.
*   `limit` (query, integer) The collection limit.
*   `offset` (query, integer) The collection offset.
*   `shallow` (query, boolean) Specifies whether to return a shallow version of the collection (`true`) or the full collection (`false`).

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.DashboardCustomViewCollectionRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "customViews": [
        {
          "defaultPage": "example_defaultPage",
          "id": "example_id",
          "isDefault": true,
          "label": "Label",
          "owner": {
            "id": "example_id",
            "name": "Example Name"
          },
          "type": "Private",
          "viewSpec": {
            "filters": [
              {
                "details": {
                  "fieldName": "Example field",
                  "operator": "Between"
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ],
            "parameters": [
              {
                "details": {
                  "name": "Example Name",
                  "value": "example_value"
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ],
            "selections": [
              {
                "details": {
                  "axes": [],
                  "dataSource": "example_dataSource",
                  "headers": [
                    {
                      "fieldId": {
                        "disambiguationIndex": 100,
                        "displayCategory": "example_displayCategory",
                        "fieldName": "Example field",
                        "function": "example_function",
                        "objectName": "Example object",
                        "role": "example_role",
                        "type": "example_type"
                      },
                      "partitionFieldIds": [
                        {
                          "disambiguationIndex": 100,
                          "displayCategory": "example_displayCategory",
                          "fieldName": "Example field",
                          "function": "example_function",
                          "objectName": "Example object",
                          "role": "example_role",
                          "type": "example_type"
                        }
                      ],
                      "partitionValues": []
                    }
                  ],
                  "marks": [
                    {
                      "fieldIds": [
                        {
                          "disambiguationIndex": 100,
                          "displayCategory": "example_displayCategory",
                          "fieldName": "Example field",
                          "function": "example_function",
                          "objectName": "Example object",
                          "role": "example_role",
                          "type": "example_type"
                        }
                      ],
                      "values": []
                    }
                  ],
                  "nodes": []
                },
                "source": {
                  "id": "example_id",
                  "label": "Label",
                  "name": "Example Name"
                },
                "status": "DataAccessError"
              }
            ]
          }
        }
      ]
    }
    ```
    

### POST Create dashboard custom view

`POST /tableau/dashboards/{dashboardIdOrApiName}/customviews`

Operation ID: `saveView`. Tags: Dashboards.

Endpoint for dashboard custom view collection which user has access to.

Creates a custom view of a Tableau Next dashboard.

#### Parameters

*   `dashboardIdOrApiName` (path, string, required) The ID or name of the dashboard.
*   `limit` (query, integer) The collection limit.
*   `offset` (query, integer) The collection offset.
*   `shallow` (query, boolean) Specifies whether to return a shallow version of the collection (`true`) or the full collection (`false`).

#### Request body

Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.input.DashboardCustomViewInputRepresentation`.

_Example: fullExample_ Full operation example — complete request body

```
{
  "defaultPage": "example_defaultPage",
  "isDefault": true,
  "label": "Label",
  "type": "Private",
  "viewSpec": {
    "filters": [
      {
        "details": {
          "fieldName": "Example field",
          "operator": "Between"
        },
        "source": {
          "id": "example_id",
          "name": "Example Name"
        }
      }
    ],
    "parameters": [
      {
        "source": {
          "id": "example_id",
          "name": "Example Name"
        }
      }
    ],
    "selections": [
      {
        "source": {
          "id": "example_id",
          "name": "Example Name"
        }
      }
    ]
  }
}
```

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.DashboardCustomViewRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "defaultPage": "example_defaultPage",
      "id": "example_id",
      "isDefault": true,
      "label": "Label",
      "owner": {
        "id": "example_id",
        "name": "Example Name"
      },
      "type": "Private",
      "viewSpec": {
        "filters": [
          {
            "details": {
              "fieldName": "Example field",
              "operator": "Between"
            },
            "source": {
              "id": "example_id",
              "label": "Label",
              "name": "Example Name"
            },
            "status": "DataAccessError"
          }
        ],
        "parameters": [
          {
            "details": {
              "name": "Example Name",
              "value": "example_value"
            },
            "source": {
              "id": "example_id",
              "label": "Label",
              "name": "Example Name"
            },
            "status": "DataAccessError"
          }
        ],
        "selections": [
          {
            "details": {
              "axes": [],
              "dataSource": "example_dataSource",
              "headers": [
                {
                  "fieldId": {
                    "disambiguationIndex": 100,
                    "displayCategory": "example_displayCategory",
                    "fieldName": "Example field",
                    "function": "example_function",
                    "objectName": "Example object",
                    "role": "example_role",
                    "type": "example_type"
                  },
                  "partitionFieldIds": [
                    {
                      "disambiguationIndex": 100,
                      "displayCategory": "example_displayCategory",
                      "fieldName": "Example field",
                      "function": "example_function",
                      "objectName": "Example object",
                      "role": "example_role",
                      "type": "example_type"
                    }
                  ],
                  "partitionValues": []
                }
              ],
              "marks": [
                {
                  "fieldIds": [
                    {
                      "disambiguationIndex": 100,
                      "displayCategory": "example_displayCategory",
                      "fieldName": "Example field",
                      "function": "example_function",
                      "objectName": "Example object",
                      "role": "example_role",
                      "type": "example_type"
                    }
                  ],
                  "values": []
                }
              ],
              "nodes": []
            },
            "source": {
              "id": "example_id",
              "label": "Label",
              "name": "Example Name"
            },
            "status": "DataAccessError"
          }
        ]
      }
    }
    ```
    

### GET Get default dashboard custom view

`GET /tableau/dashboards/{dashboardIdOrApiName}/customviews/default`

Operation ID: `getDefaultView`. Tags: Dashboards.

Endpoint for interacting with Tableau Next dashboard default custom view for which user has access.

Gets the default custom view of a Tableau Next dashboard for the current user.

#### Parameters

*   `dashboardIdOrApiName` (path, string, required) The ID or name of the dashboard.

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.DashboardCustomViewRepresentation`.
    
    _Example fullExample: same as POST /tableau/dashboards/{dashboardIdOrApiName}/customviews 200 response._ Full operation example — complete response body
    
    _Example: fullExample_ Full operation example — complete response body
    

### GET Get dashboard custom view

`GET /tableau/dashboards/{dashboardIdOrApiName}/customviews/{viewId}`

Operation ID: `getView`. Tags: Dashboards.

Endpoint for interacting with dashboard custom view for which user has access.

Get the custom view of dashboard by the ID.

#### Parameters

*   `dashboardIdOrApiName` (path, string, required) The ID or name of the dashboard.
*   `viewId` (path, string, required) The ID of the custom view.

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.DashboardCustomViewRepresentation`.
    
    _Example fullExample: same as POST /tableau/dashboards/{dashboardIdOrApiName}/customviews 200 response._ Full operation example — complete response body
    
    _Example: fullExample_ Full operation example — complete response body
    

### POST Delete dashboard custom view

`POST /tableau/dashboards/{dashboardIdOrApiName}/customviews/{viewId}`

Operation ID: `deleteView`. Tags: Dashboards.

Endpoint for interacting with dashboard custom view for which user has access.

Deletes a custom view of a Tableau Next dashboard, specified by the view's view ID.

#### Parameters

*   `dashboardIdOrApiName` (path, string, required) The ID or name of the dashboard.
*   `viewId` (path, string, required) The ID of the custom view.

#### Responses

*   **200** Success.

### GET Get asset follower count

`GET /tableau/follow/assets/{followedAssetId}/follower-count`

Operation ID: `getUniqueFollowerCount`. Tags: Follow (Followers).

Unique follower metadata.

Gets the count of unique followers for a specified followed Tableau Next asset.

#### Parameters

*   `followedAssetId` (path, string, required)

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.follow.UniqueFollowerCountRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "uniqueFollowerCount": 100
    }
    ```
    

### GET Get asset followers

`GET /tableau/follow/assets/{followedAssetId}/followers`

Operation ID: `getFollowerCollection`. Tags: Follow (Followers).

Followers metadata.

Gets a list of followers of a followed Tableau Next asset. You can filter by follower type or a specified follower ID.

#### Parameters

*   `followedAssetId` (path, string, required)
*   `followerId` (query, string)

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.follow.FollowerCollectionRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "followers": [
        {
          "description": "This is an example description",
          "id": "0FKaQCiUpnoBbqh",
          "label": "Label",
          "name": "Example Name",
          "alias": "example_alias",
          "isActive": true,
          "profilePhotoUrl": "https://example.com",
          "username": "Example user"
        }
      ]
    }
    ```
    

### GET List followed assets

`GET /tableau/follow/followers/{followerId}/followed-asset-refs`

Operation ID: `getFollowedAssetRefCollection`. Tags: Follow (Followers).

Resource to access followed assets references of a follower.

_Available April 2026 and later._

Gets all followed asset references for a follower filterable by asset type.

_Available April 2026 and later._

#### Parameters

*   `followerId` (path, string, required)
*   `assetsOrderBy` (query, sfdc.unified.analytics.connect.api.resource.follow.OrderBy) Determines the field to sort by
*   `followedAssetType` (query, sfdc.unified.analytics.connect.api.enums.follow.AnalyticsFollowedAssetTypeEnum) Determines what asset type to select
*   `limit` (query, integer)
*   `offset` (query, integer)
*   `sortOrder` (query, sfdc.unified.analytics.connect.api.resource.follow.SortOrder) Determines the sorting order Valid values are app, ASC and DESC.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.follow.FollowedAssetRefCollectionRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "followedAssetRefs": [
        {
          "assetId": "0FKSIdgCKud5J0D",
          "assetType": "SemanticMetricDefinition",
          "createdBy": {
            "description": "This is an example description",
            "id": "0FKV4lZE7i9PmZY",
            "label": "Label",
            "name": "Example Name",
            "alias": "example_alias",
            "isActive": true,
            "profilePhotoUrl": "https://example.com",
            "username": "Example user"
          },
          "createdDate": "2026-02-16 10:00:00+00:00",
          "followedTimeRange": {
            "fieldName": "Example field",
            "values": []
          },
          "followerType": "Group",
          "id": "0FK8IfZJMNlA2bf",
          "lastModifiedBy": {
            "description": "This is an example description",
            "id": "0FKfXHgwHq6B0ZD",
            "label": "Label",
            "name": "Example Name",
            "alias": "example_alias",
            "isActive": true,
            "profilePhotoUrl": "https://example.com",
            "username": "Example user"
          },
          "lastModifiedDate": "2026-02-16 10:00:00+00:00",
          "shouldShowForecast": true
        }
      ]
    }
    ```
    

### GET List followed assets

`GET /tableau/follow/followers/{followerId}/followed-assets`

Operation ID: `getFollowedAssetCollection`. Tags: Follow (Followers).

Gets the followed assets of a follower.

Lists the followed Tableau Next assets of a follower. You can filter by asset type.

#### Parameters

*   `followerId` (path, string, required)
*   `assetsOrderBy` (query, string) The determines the field to sort by.

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.follow.FollowedAssetCollectionRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "followedAssets": [
        {
          "description": "This is an example description",
          "id": "0FK0EHxKEZGewTB",
          "label": "Label",
          "name": "Example Name",
          "createdBy": {
            "description": "This is an example description",
            "id": "0FKsXnOpirFrtUb",
            "label": "Label",
            "name": "Example Name",
            "alias": "example_alias",
            "isActive": true,
            "profilePhotoUrl": "https://example.com",
            "username": "Example user"
          },
          "createdDate": "2026-02-16 10:00:00+00:00",
          "lastModifiedBy": {
            "description": "This is an example description",
            "id": "0FK08EXHi6h9IWF",
            "label": "Label",
            "name": "Example Name",
            "alias": "example_alias",
            "isActive": true,
            "profilePhotoUrl": "https://example.com",
            "username": "Example user"
          },
          "lastModifiedDate": "2026-02-16 10:00:00+00:00",
          "assetType": "SemanticMetricDefinition",
          "followedTimeRange": {
            "fieldName": "Example field",
            "values": []
          }
        }
      ]
    }
    ```
    

### POST Create follow

`POST /tableau/follow/followers/{followerId}/follows`

Operation ID: `postFollow`. Tags: Follow (Followers).

Actions on followed assets.

Follow an asset.

#### Parameters

*   `followerId` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.input.follow.FollowInputRepresentation`.

_Example: fullExample_ Full operation example — complete request body

```
{
  "assetId": "example_assetId",
  "assetType": "SemanticMetricDefinition",
  "followedTimeRange": {
    "fieldName": "Example field",
    "values": []
  },
  "followerType": "Group",
  "shouldShowForecast": true
}
```

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.follow.FollowerAssetRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "createdBy": {
        "description": "This is an example description",
        "id": "0FKde0TJR2bjm0y",
        "label": "Label",
        "name": "Example Name",
        "alias": "example_alias",
        "isActive": true,
        "profilePhotoUrl": "https://example.com",
        "username": "Example user"
      },
      "createdDate": "2026-02-16 10:00:00+00:00",
      "followedAssetId": "example_followedAssetId",
      "followedAssetType": "SemanticMetricDefinition",
      "followedTimeRange": {
        "fieldName": "Example field",
        "values": []
      },
      "followerId": "example_followerId",
      "followerType": "Group"
    }
    ```
    

### PATCH Update follow

`PATCH /tableau/follow/followers/{followerId}/follows`

Operation ID: `patchFollow`. Tags: Follow (Followers).

Actions on followed assets.

Update a followed asset.

#### Parameters

*   `followerId` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.input.follow.UpdateFollowInputRepresentation`.

_Example: fullExample_ Full operation example — complete request body

```
{
  "assetId": "example_assetId",
  "followedTimeRange": {
    "fieldName": "Example field",
    "values": []
  },
  "shouldShowForecast": true,
  "updateAllAssets": true
}
```

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.follow.FollowerAssetCollectionRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "followerAssets": [
        {
          "createdBy": {
            "description": "This is an example description",
            "id": "0FKJlxhoZ9BLdfR",
            "label": "Label",
            "name": "Example Name",
            "alias": "example_alias",
            "isActive": true,
            "profilePhotoUrl": "https://example.com",
            "username": "Example user"
          },
          "createdDate": "2026-02-16 10:00:00+00:00",
          "followedAssetId": "example_followedAssetId",
          "followedAssetType": "SemanticMetricDefinition",
          "followedTimeRange": {
            "fieldName": "Example field",
            "values": []
          },
          "followerId": "example_followerId",
          "followerType": "Group"
        }
      ],
      "followerId": "example_followerId"
    }
    ```
    

### DELETE Delete follow

`DELETE /tableau/follow/followers/{followerId}/follows/{followedAssetId}`

Operation ID: `deleteUnfollow`. Tags: Follow (Followers).

An asset action.

Unfollow an asset.

#### Parameters

*   `followedAssetId` (path, string, required)
*   `followerId` (path, string, required)

#### Responses

*   **200** Success

### POST Get submetric info

`POST /tableau/follow/submetric-info`

Operation ID: `postSubMetricInfo`. Tags: Follow (Followers).

Resource for getting sub-metric info

Get SubMetric Info including metric and goal details.

#### Request body

Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.input.follow.SubMetricInfoInputRepresentation`.

_Example: fullExample_ Full operation example — complete request body

```
{
  "filterLogic": "example_filterLogic",
  "filters": [],
  "metricIdOrApiName": "Example metricIdOrApi",
  "modelIdOrApiName": "Example modelIdOrApi",
  "subMetricId": "example_subMetricId"
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.follow.SubMetricInfoOutputRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "isFollowed": true
    }
    ```
    

### GET Get a marketplace installation

`GET /tableau/marketplace/installations/{installationId}`

Operation ID: `getAnalyticsTableauMarketplaceListingInstallationTracking`. Tags: Marketplace.

Tracks the installation progress of a Marketplace. listing.

Fetch progress of Tableau Marketplace Listing Installation.

#### Parameters

*   `installationId` (path, string, required)

#### Responses

*   **200** Success.
    
    Media type: `application/json`. Schema: `sfdc.unified.analytics.connect.api.output.marketplace.TableauMarketplaceListingInstallationProgressResponse`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "errors": [
        "example_errors"
      ],
      "id": "example_id",
      "status": "example_status"
    }
    ```
    

### GET Get marketplace listings

`GET /tableau/marketplace/listings`

Operation ID: `getMarketplaceListings`. Tags: Marketplace.

API resource for marketplace listings Collection

_Available April 2026 and later._

Get the list of assets published to Tableau Marketplace

_Available April 2026 and later._

#### Parameters

*   `assetId` (query, string) The ID of asset to query
*   `assetType` (query, sfdc.analyticsdashboard.connect.api.enums.MarketplaceAssetTypeEnum) The type of asset to query
*   `assetVersion` (query, string) The version of asset to query
*   `limit` (query, integer) Collection limit
*   `offset` (query, integer) Collection offset

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `sfdc.analyticsdashboard.connect.api.output.MarketplaceListingCollectionRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "marketplaceListings": [
        {
          "assetId": "example_assetId",
          "assetType": "DominoTemplate",
          "assetVersion": "example_assetVersion",
          "id": "example_id"
        }
      ],
      "totalCount": 100
    }
    ```
    

### POST Publish to marketplace

`POST /tableau/marketplace/listings`

Operation ID: `publishToMarketplace`. Tags: Marketplace.

API resource for marketplace listings Collection

_Available April 2026 and later._

Adds a new asset to the marketplace listings collection.

_Available April 2026 and later._

#### Request body

Media type: `application/json`. Schema: `sfdc.analyticsdashboard.connect.api.input.MarketplaceListingInputRepresentation`.

_Example: fullExample_ Full operation example — complete request body

```
{
  "assetId": "example_assetId",
  "assetType": "DominoTemplate",
  "assetVersion": "example_assetVersion"
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `sfdc.analyticsdashboard.connect.api.output.MarketplaceListingRepresentation`.
    
    _Example: fullExample_ Full operation example — complete response body
    
    ```
    {
      "id": "example_id"
    }
    ```
    

### DELETE Unpublish from marketplace

`DELETE /tableau/marketplace/listings/{listingId}`

Operation ID: `unpublishFromMarketplace`. Tags: Marketplace.

API resource for marketplace listings

_Available April 2026 and later._

Unpublishes an asset from marketplace listings

_Available April 2026 and later._

#### Parameters

*   `listingId` (path, string, required) The ID of the Marketplace Listings

#### Responses

*   **200** Success

[...]
